searchData={"items":[{"type":"module","title":"Green.Function.Signature","doc":"This module defines a struct that represents a function signature.\n\nN.B. We store names and modules as Strings, because, otherwise we would have to\nconvert Strings to possibly non-existent Atoms when splitting the module(s) from\nthe function name.","ref":"Green.Function.Signature.html"},{"type":"function","title":"Green.Function.Signature.new/3","doc":"","ref":"Green.Function.Signature.html#new/3"},{"type":"module","title":"Green.Lexmag.ElixirStyleGuideFormatter","doc":"","ref":"Green.Lexmag.ElixirStyleGuideFormatter.html"},{"type":"function","title":"Green.Lexmag.ElixirStyleGuideFormatter.format_file/1","doc":"","ref":"Green.Lexmag.ElixirStyleGuideFormatter.html#format_file/1"},{"type":"module","title":"Green.Quoted","doc":"Conveniences for modifying the AST and associated comments.","ref":"Green.Quoted.html"},{"type":"function","title":"Green.Quoted.new_position/3","doc":"","ref":"Green.Quoted.html#new_position/3"},{"type":"function","title":"Green.Quoted.shift/4","doc":"","ref":"Green.Quoted.html#shift/4"},{"type":"module","title":"Green.Quoted.Comments","doc":"Conveniences for modifying parsed comments.","ref":"Green.Quoted.Comments.html"},{"type":"function","title":"Green.Quoted.Comments.line_comments/2","doc":"","ref":"Green.Quoted.Comments.html#line_comments/2"},{"type":"function","title":"Green.Quoted.Comments.move_line/3","doc":"","ref":"Green.Quoted.Comments.html#move_line/3"},{"type":"function","title":"Green.Quoted.Comments.sort/1","doc":"","ref":"Green.Quoted.Comments.html#sort/1"},{"type":"module","title":"Green.Quoted.Forms","doc":"Conveniences for modifying the AST.","ref":"Green.Quoted.Forms.html"},{"type":"function","title":"Green.Quoted.Forms.move_line/3","doc":"","ref":"Green.Quoted.Forms.html#move_line/3"},{"type":"module","title":"Green.Quoted.FormsAndComments","doc":"Conveniences for modifying the AST and associated comments.","ref":"Green.Quoted.FormsAndComments.html"},{"type":"function","title":"Green.Quoted.FormsAndComments.move/3","doc":"Move a line in the AST and associated comments.\n\nAny comments immediately preceding the given line are moved to\nthe given destination `to` line. The line itself is moved to\nthe following line.","ref":"Green.Quoted.FormsAndComments.html#move/3"},{"type":"behaviour","title":"Green.Rule","doc":"This is the Rule behaviour.","ref":"Green.Rule.html"},{"type":"callback","title":"Green.Rule.apply/2","doc":"","ref":"Green.Rule.html#c:apply/2"},{"type":"type","title":"Green.Rule.comment/0","doc":"","ref":"Green.Rule.html#t:comment/0"},{"type":"type","title":"Green.Rule.forms/0","doc":"","ref":"Green.Rule.html#t:forms/0"},{"type":"module","title":"Green.Rules.Exceptions.UseErrorSuffix","doc":"This cop warns if exceptions are defined with a suffix of `Error`.","ref":"Green.Rules.Exceptions.UseErrorSuffix.html"},{"type":"module","title":"Examples - Green.Rules.Exceptions.UseErrorSuffix","doc":"defmodule MyBad do\n      defexception message: \"some error message\"\n    end\n\nIn the example above, the exception should be named `MyBadError`.","ref":"Green.Rules.Exceptions.UseErrorSuffix.html#module-examples"},{"type":"module","title":"Green.Rules.Linting.AvoidNeedlessPipelines","doc":"This cop transforms single-function pipelines into function calls.","ref":"Green.Rules.Linting.AvoidNeedlessPipelines.html"},{"type":"module","title":"Green.Rules.Linting.NoNilElse","doc":"This module removes `else` clauses that return `nil`.","ref":"Green.Rules.Linting.NoNilElse.html"},{"type":"module","title":"Green.Rules.Linting.NoUnlessWithElse","doc":"This cop transforms `unless` with `else` into `if` with `else`.","ref":"Green.Rules.Linting.NoUnlessWithElse.html"},{"type":"module","title":"Green.Rules.Linting.PreferPipelines","doc":"This rule transforms nested function calls into pipelines.","ref":"Green.Rules.Linting.PreferPipelines.html"},{"type":"module","title":"Green.Rules.Linting.TrueInCond","doc":"This cop ensures final, always-matching clauses in `cond` use `true`.","ref":"Green.Rules.Linting.TrueInCond.html"},{"type":"module","title":"Green.Rules.Linting.UseStringConcatenationWhenMatchingBinaries","doc":"This cop replaces use of bitstrings with the `<>` operator when matching binaries.","ref":"Green.Rules.Linting.UseStringConcatenationWhenMatchingBinaries.html"},{"type":"module","title":"Green.Rules.Modules.SortReferences","doc":"","ref":"Green.Rules.Modules.SortReferences.html"},{"type":"module","title":"Green.Rules.Modules.UseModulePseudoVariable","doc":"This cop replaces references to the current module by name with the pseudo-variable\n`__MODULE__`.","ref":"Green.Rules.Modules.UseModulePseudoVariable.html"},{"type":"module","title":"Green.Rules.Naming.AvoidCaps","doc":"This module prints warnings when capital letters are used in atoms, functions, variables or\nattributes.","ref":"Green.Rules.Naming.AvoidCaps.html"},{"type":"function","title":"Green.Rules.Naming.AvoidCaps.capital?/1","doc":"","ref":"Green.Rules.Naming.AvoidCaps.html#capital?/1"},{"type":"module","title":"Green.Rules.Naming.AvoidOneLetterVariables","doc":"This module prints a warning if there are one-letter variable names.","ref":"Green.Rules.Naming.AvoidOneLetterVariables.html"},{"type":"module","title":"Green.Rules.Structs.RemoveNilFromStructDefinition","doc":"This module removes `nil` defaults from struct definitions.","ref":"Green.Rules.Structs.RemoveNilFromStructDefinition.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.0"}}